Web Banners
+ Parameters
Section:
Group Web Banners. Base URL:https://instance_name.meiro.io/api/.
Pop-up Web Banners [/web_banners{?limit,offset}]
List Pop-up Web Banners [GET]
-
Parameters
- limit: 10 (number, optional) - Limit of the number of records returned
- offset: 20 (number, optional) - Offset for the records returned
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (PopUpWebBannersList)
Create Pop-up Web Banner [POST]
-
Attributes (PopUpWebBannerCreate)
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 201 (application/json)
- Attributes (PopUpWebBanner)
Pop-up Web Banner [/web_banners/{web_banner_id}]
Retrieve Pop-up Web Banner [GET]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (PopUpWebBanner)
-
Response 404
Modify Pop-up Web Banner [PATCH]
-
Attributes (PopUpWebBannerModify)
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (PopUpWebBanner)
-
Response 404
Delete Pop-up Web Banner [DELETE]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
Clone Pop-up Web Banner [POST]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (PopUpWebBanner)
-
Response 404
Embedded Web Banners [/embedded_web_banners{?limit,offset}]
List Embedded Web Banners [GET]
-
Parameters
- limit: 10 (number, optional) - Limit of the number of records returned
- offset: 20 (number, optional) - Offset for the records returned
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (EmbeddedWebBannersList)
Create Embedded Web Banner [POST]
-
Attributes (EmbeddedWebBannerCreate)
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 201 (application/json)
- Attributes (EmbeddedWebBanner)
Embedded Web Banner [/embedded_web_banners/{web_banner_id}]
Retrieve Embedded Web Banner [GET]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (EmbeddedWebBanner)
-
Response 404
Modify Embedded Web Banner [PATCH]
-
Attributes (EmbeddedWebBannerModify)
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (EmbeddedWebBanner)
-
Response 404
Delete Embedded Web Banner [DELETE]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
Clone Embedded Web Banner [POST]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (EmbeddedWebBanner)
-
Response 404
Web Banners settings [/web_banners/settings]
Retrieve Web Banners settings [GET]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (WebBannerGlobalSettings)
Modify Web Banners settings [PUT]
-
Attributes (WebBannerGlobalSettings)
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (WebBannerGlobalSettings)
Trashed Embedded Web Banner [/embedded_web_banners/trash/{embedded_web_banner_id}]
Restore a Trashed Embedded Web Banner [PATCH]
Required feature: web_banners/edit
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"embedded_web_banner": {
"disabled": true,
"name": "TestEmbeddedBanner",
"settings": {
"priority": 0,
"content": {
"type": "html",
"html": "<p>Hello world!</p>"
},
"condition": null,
"fe_settings": {
"width": 200
},
"tracking_disabled": true
},
"id": "94af47a0-2f38-484b-9409-520149be0dec",
"element_id": "testElementId",
"created": "2022-06-24T07:50:04.603676",
"user_id": 1
}
}Trashed Embedded Web Banners [/embedded_web_banners/trash{?limit,offset,searched_text}]
List All Trashed Embedded Web Banners [GET]
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- searched_text (string, optional) - Searched items' name
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"trashed_embedded_web_banners": [
{
"disabled": true,
"name": "TestEmbeddedBanner",
"settings": {
"priority": 0,
"content": {
"type": "html",
"html": "<p>Hello world!</p>"
},
"condition": null,
"fe_settings": {
"width": 200
},
"tracking_disabled": true
},
"id": "94af47a0-2f38-484b-9409-520149be0dec",
"element_id": "testElementId",
"created": "2022-06-24T07:50:04.603676",
"user_id": 1
}
],
"selection_settings": {
"limit": 20,
"offset": 0,
"searched_text": null
}
}Trashed Popup Web Banner [/web_banners/trash/{web_banner_id}]
Restore a Trashed Popup Web Banner [PATCH]
Required feature: web_banners/edit
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"popup_web_banner": {
"disabled": true,
"name": "TestPopupBanner",
"settings": {
"priority": 0,
"position": "top",
"frequency_cap": {
"per_user": {
"window": {
"type": "days",
"size": 1,
"max_display_count": 1
},
"max_display_count": 1
},
"max_display_count": null
},
"minimized_content": {
"enabled": false
},
"fe_settings": {
"width": 200,
"margins": {
"x": 20,
"y": 20,
"minimized_x": 20,
"minimized_y": 20
},
"display_on": {
"value": null,
"action": "page_load"
},
"closeButton": {
"disabled": false
},
"minimized_width": null,
"minimized_close_button": {
"css": {
"color": "#222222",
"border_color": "#cccccc",
"background_color": "#ffffff"
},
"disabled": false
}
},
"content": {
"type": "html",
"html": "<p>Hello world!</p>"
},
"condition": {
"value": "Chrome",
"subject": "browser",
"operator": "equals"
},
"tracking_disabled": true
"global_frequency_cap_ignored": false
},
"id": "f7e58346-9847-47f6-abc0-ef4779f7520e",
"created": "2022-06-24T09:32:27.040901",
"user_id": 1
}
}Trashed Popup Web Banners [/web_banners/trash{?limit,offset,searched_text}]
List All Trashed Popup Web Banners [GET]
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- searched_text (string, optional) - Searched items' name
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"trashed_popup_web_banners": [
{
"disabled": true,
"name": "TestPopupBanner",
"settings": {
"priority": 0,
"position": "top",
"frequency_cap": {
"per_user": {
"window": {
"type": "days",
"size": 1,
"max_display_count": 1
},
"max_display_count": 1
},
"max_display_count": null
},
"minimized_content": {
"enabled": false
},
"fe_settings": {
"width": 200,
"margins": {
"x": 20,
"y": 20,
"minimized_x": 20,
"minimized_y": 20
},
"display_on": {
"value": null,
"action": "page_load"
},
"closeButton": {
"disabled": false
},
"minimized_width": null,
"minimized_close_button": {
"css": {
"color": "#222222",
"border_color": "#cccccc",
"background_color": "#ffffff"
},
"disabled": false
}
},
"content": {
"type": "html",
"html": "<p>Hello world!</p>"
},
"condition": {
"value": "Chrome",
"subject": "browser",
"operator": "equals"
},
"tracking_disabled": true
"global_frequency_cap_ignored": false
},
"id": "f7e58346-9847-47f6-abc0-ef4779f7520e",
"created": "2022-06-24T09:32:27.040901",
"user_id": 1
}
],
"selection_settings": {
"limit": 20,
"offset": 0,
"searched_text": "TestPopup"
}
}